#!/usr/bin/env python

import matplotlib.delaunay as delaunay
#from scikits import delaunay as delaunay

import mpl_tri
import matplotlib.pyplot as lab
import numpy as np
import sys


npoints = 300
np.random.seed(10)
x = np.random.rand(npoints)*3 - 0.6
y = np.random.rand(npoints)*3 + 2.5

z = np.sin(3*x)*np.cos(3*y)

triangles = delaunay.Triangulation(x, y).triangle_nodes





contours = mpl_tri.tricontour(x, y, triangles, z, 20)
lab.colorbar(contours)

mpl_tri.triplot(x, y, triangles, c='b', alpha=0.2)

if False:
    for i in range(len(x)):
        lab.text(x[i], y[i], i, fontsize=16)
    for i in range(len(triangles)):
        xx = x[triangles[i]].mean()
        yy = y[triangles[i]].mean()
        lab.text(xx, yy, i, fontsize=16, color='#808000',
                 horizontalalignment='center',
                 verticalalignment='center')

lab.grid(c='k', ls='-', alpha=0.1)
lab.suptitle(sys.argv[0])
lab.show()
