#!/usr/bin/env python

import matplotlib.delaunay as delaunay
#from scikits import delaunay as delaunay

import mpl_tri
from matplotlib.mlab import bivariate_normal
import matplotlib.pyplot as lab
import numpy as np
import sys



x = y = np.linspace(-3.0, 3.0, 30)
x, y = np.meshgrid(x, y)
x = x.flatten()
y = y.flatten()

z1 = bivariate_normal(x, y, 1.0, 1.0, 0.0, 0.0)
z2 = bivariate_normal(x, y, 1.5, 0.5, 1, 1)
z = 10 * (z1 - z2)

triangles = delaunay.Triangulation(x, y).triangle_nodes





contours = mpl_tri.tricontour(x, y, triangles, z, 20, linewidths=1)
lab.colorbar(contours)

mpl_tri.triplot(x, y, triangles, c='k', alpha=0.2)

if False:
    for i in range(len(x)):
        lab.text(x[i], y[i], i, fontsize=16)
    for i in range(len(triangles)):
        xx = x[triangles[i]].mean()
        yy = y[triangles[i]].mean()
        lab.text(xx, yy, i, fontsize=16, color='#808000',
                 horizontalalignment='center',
                 verticalalignment='center')

lab.grid(c='k', ls='-', alpha=0.1)
lab.suptitle(sys.argv[0])
lab.show()
