#!/usr/bin/env python

import matplotlib.delaunay as delaunay
#from scikits import delaunay as delaunay

import mpl_tri
import matplotlib.pyplot as lab
import numpy as np
import sys


npoints = 12
np.random.seed(10)
x = np.random.rand(npoints)
y = np.random.rand(npoints)

triangles = delaunay.Triangulation(x, y).triangle_nodes

mask = np.zeros((len(triangles)), dtype=np.bool)
mask[6] = True
mask[8] = True
mask[13] = True


# Filled triangles.
mpl_tri.trifill(x, y, triangles, mask=mask,
		facecolors='y', edgecolors='b', alpha=0.4)

if False:
    # Points.
    lab.plot(x, y, 'bo')

    # Point indices.
    for i in range(len(x)):
        lab.text(x[i], y[i], i, fontsize=16)

    # Triangle indices.
    for i in range(len(triangles)):
        if not mask[i]:
            xx = x[triangles[i]].mean()
            yy = y[triangles[i]].mean()
            lab.text(xx, yy, i, fontsize=16, color='#808000',
                     horizontalalignment='center',
                     verticalalignment='center')

lab.grid(c='k', ls='-', alpha=0.1)
lab.suptitle(sys.argv[0])
lab.show()
