"""
Experimental matplotlib triangular grid functions.

Various matplotlib functions that use triangular grids.  They are
supposed to be similar to the equivalent matplotlib rectangular grid
functions, but are not completed yet.

Functions:
  tricontour - draw contour lines on a triangular grid.
  tricontourf - draw filled contours on a triangular grid.
  trifill - draw filled triangular grid.
  tripcolor - draw pseudocolor plot on a triangular grid.
  triplot - draw lines/point of a triangular grid.

Grids:
  A triangular grid is defined as equal-length array of x and y coordinates,
  and an array of triangles with shape (?,3).  Each triangle is composed of
  3 points indices in the range 0 to len(x)-1.  Triangles can be masked out
  using an optional mask array of the same length as the triangles array.

  A valid triangular grid can be created from x, y coordinates using the
  matplotlib (or scikit) delaunay triangulation module as follows:

    triangles = matplotlib.delaunay.Triangulation(x, y).triangle_nodes
"""

from triplot import *
from trifill import *
from tricontour import *
from tripcolor import *
