from numpy.distutils.core import Extension, setup

_mpl_tri = Extension(name = '_mpl_tri',
                     define_macros = [('DEBUG',1)],
                     undef_macros = ['NDEBUG'],
                     sources = ['src/_mpl_tri.cpp',
                                'src/Contour.cpp',
                                'src/HoleRemover.cpp',
                                'src/TriGrid.cpp',
                                'src/TriGridContourGenerator.cpp'])

if __name__ == '__main__':
    setup(name = 'mpl_tri',
          version = '0.1',
          description = 'Experimental matplotlib triangular grid functions',
          author = 'Ian Thomas',
          author_email = 'ianthomas23@googlemail.com',
          packages = ['mpl_tri'],
          package_dir = {'':'lib'},
          ext_modules = [_mpl_tri])
