#include "Contour.h"

void contourLineAddUniquePoint(ContourLine& contourLine, const XY& point)
{
  if (contourLine.empty() || point != contourLine.back())
  {
    contourLine.push_back(point);
  }
}

void contourLineInsertUniquePoint(ContourLine& contourLine,
				  ContourLine::iterator before,
				  const XY& point)
{
  if (contourLine.empty() || point != *before)
  {
    contourLine.insert(before, point);
  }
}

void writeContour(const Contour& contour, ostream& os)
{
  os << "Contour of " << contour.size() << " lines." << endl;
  for (Contour::const_iterator itc = contour.begin();
       itc != contour.end(); ++itc)
  {
    const ContourLine& contourLine = *itc;
    os << "  ContourLine of " << contourLine.size() << " points:";
    for (ContourLine::const_iterator itl = contourLine.begin();
	 itl != contourLine.end(); ++itl)
    {
      const XY& xy = *itl;
      os << ' ' << xy.x << ' ' << xy.y << ',';
    }
    os << endl;
  }
}
