#ifndef TRI_EDGE_H
#define TRI_EDGE_H

/**
 * Representation of a triangle edge of a TriGrid, composed of integer
 * triangle index in the range 0 to nTriangles-1 and an edge index in the
 * range 0 to 2.
 */
struct TriEdge
{
  TriEdge(int triangle_, int edge_)
    : triangle(triangle_), edge(edge_)
  {}

  bool operator==(const TriEdge& other) const
  {
    return (triangle == other.triangle && edge == other.edge);
  }

  bool operator!=(const TriEdge& other) const
  {
    return (triangle != other.triangle || edge != other.edge);
  }

  bool operator<(const TriEdge& other) const
  {
    if (triangle != other.triangle)
    {
      return triangle < other.triangle;
    }
    else
    {
      return edge < other.edge;
    }
  }
  
  int triangle;
  int edge;
};

#endif // TRI_EDGE_H
